Package org.eclipse.pde.ui.launcher

## Class JUnitTabGroup

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup
  - - org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup
    - - org.eclipse.pde.ui.launcher.JUnitTabGroup

All Implemented Interfaces:
  `ILaunchConfigurationTabGroup`

    public class JUnitTabGroup
    extends AbstractPDELaunchConfigurationTabGroup

Creates and initializes the tabs for the Plug-in JUnit test launch configuration.

This class may be instantiated or subclassed by clients.

Since:
  3.3

### Field Summary

### Fields inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`fTabs`

### Constructor Summary

Constructors
`JUnitTabGroup()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createTabs​(ILaunchConfigurationDialog dialog, String mode)`
`void` `setDefaults​(ILaunchConfigurationWorkingCopy configuration)` Delegates to all tabs to set defaults.

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractPDELaunchConfigurationTabGroup

`initializeFrom`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTabGroup

`dispose, getTabs, launched, performApply, setTabs`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JUnitTabGroup

    public JUnitTabGroup()

### Method Detail

#### createTabs

    public void createTabs​(ILaunchConfigurationDialog dialog,
                           String mode)

#### setDefaults

    public void setDefaults​(ILaunchConfigurationWorkingCopy configuration)

Description copied from class: `AbstractPDELaunchConfigurationTabGroup`
Delegates to all tabs to set defaults. It then sets program and VM arguments based on values on the Plug-in Development > Target Platform > Launching Arguments preference page.

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTabGroup`
Overrides:
  `setDefaults` in class `AbstractPDELaunchConfigurationTabGroup`
See Also:
  `AbstractLaunchConfigurationTabGroup.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`